﻿import request from '/@/utils/request';
enum Api {
  AddWcsAlarmLog = '/api/wcsAlarmLog/add',
  DeleteWcsAlarmLog = '/api/wcsAlarmLog/delete',
  UpdateWcsAlarmLog = '/api/wcsAlarmLog/update',
  PageWcsAlarmLog = '/api/wcsAlarmLog/page',
  DetailWcsAlarmLog = '/api/wcsAlarmLog/detail',
}

// 增加报警日志
export const addWcsAlarmLog = (params?: any) =>
	request({
		url: Api.AddWcsAlarmLog,
		method: 'post',
		data: params,
	});

// 删除报警日志
export const deleteWcsAlarmLog = (params?: any) => 
	request({
			url: Api.DeleteWcsAlarmLog,
			method: 'post',
			data: params,
		});

// 编辑报警日志
export const updateWcsAlarmLog = (params?: any) => 
	request({
			url: Api.UpdateWcsAlarmLog,
			method: 'post',
			data: params,
		});

// 分页查询报警日志
export const pageWcsAlarmLog = (params?: any) => 
	request({
			url: Api.PageWcsAlarmLog,
			method: 'post',
			data: params,
		});

// 详情报警日志
export const detailWcsAlarmLog = (id: any) => 
	request({
			url: Api.DetailWcsAlarmLog,
			method: 'get',
			data: { id },
		});


